<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $proyectado = remove_junk($db->escape($_POST['proyectado']));
    $granja = remove_junk($db->escape($_POST['granja']));
    $idgranja = remove_junk($db->escape($_POST['idgranja']));
    $t_granja = remove_junk($db->escape($_POST['t_granja']));
    $f_inicio = remove_junk($db->escape($_POST['f_inicio']));
    $f_final = remove_junk($db->escape($_POST['f_final']));
    $galones = remove_junk($db->escape($_POST['galones']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $tipocombustible = remove_junk($db->escape($_POST['tipocombustible']));
    $placa = remove_junk($db->escape($_POST['placa']));
    $registro=date("Y-m-d");
    $fechaEntera = strtotime($f_inicio);
    $anio = date("Y", $fechaEntera);
    $mes = date("m", $fechaEntera);
    
    $consultaCantidad = $db->query("SELECT SUM(Cantidad) as sum1 from programaabastecimiento where id =  $proyectado");
    $consultaCantidad = $db->fetch_array($consultaCantidad);
    $Cantidad = $consultaCantidad['sum1'];

    $consultaGalones =  $db->query("SELECT SUM(GalonesIngresado) as sum2 from abastecimiento where IdProgramaAbastecimiento =  $proyectado");
    $consultaGalones = $db->fetch_array($consultaGalones);
    $GalonesIngresado = $consultaGalones['sum2'];

    $gtos = $Cantidad - $GalonesIngresado;
    $PromeStock = $gtos;
    $Abasstock = $gtos - $galones;
    
    //Solo en abastecimiento se usa el json para enviar las respuestas al js
    //Array para mostrar cuanto stock tengo en el mensaje
    $stock = array(
      'PromeStock' => $PromeStock,
      'full' => 'full',
    );
    
    //array para mostrar si se guardo en el mensaje
    $success = array(
      'success' => 'success',
    );

    //array para mostrar si hubo una falla en el mensaje
    $fail = array(
      'fail' => 'fail',
    );
    

    if ($Abasstock<=-1)
    {
       echo json_encode($stock);
    }

    else { 
        $query ="INSERT INTO abastecimiento(FechaInicioAbastecimiento, FechaFinalAbastecimiento, GalonesIngresado, Abasstock, AbaGranja, AbaTipoGranja, IdActivo, IdResponsableAbastecimiento, EstadoAbastecimiento, FechaRegistroAbastecimiento, IdAnioAbastecimiento, IdMesAbastecimiento,IdGranja,IdProgramaAbastecimiento,IdTipoCombustible,PromeStock) VALUES ('$f_inicio','$f_final','$galones','$Abasstock','$granja','$t_granja','$placa','$responsable','Proceso','$registro','$anio','$mes','$idgranja','$proyectado','$tipocombustible','$PromeStock')";

        if ($db->query($query)) {
            echo json_encode($success);
        } else {
            echo json_encode($fail);
        }
    } 

 
    
} 



               